"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = generateConfig;

var _fsExtra = require("fs-extra");

var _package = _interopRequireDefault(require("../package.json"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function generateConfig() {
  const src = _path.default.join(__dirname, '..', 'config', 'default.yml');

  const dest = _path.default.join(process.cwd(), 'dependency-lint.yml');

  const defaultConfig = await (0, _fsExtra.readFile)(src, 'utf8');
  const fileContents = `\
# See ${_package.default.homepage}/blob/v${_package.default.version}/docs/configuration.md
# for a detailed explanation of the options

${defaultConfig}\
`;
  await (0, _fsExtra.writeFile)(dest, fileContents);
  return console.log('Configuration file generated at "dependency-lint.yml"');
}